Compare commits

...

10 Commits

Author SHA1 Message Date
Taiki Endo
4e38715ddc Release 2.34.0 2024-06-02 01:14:31 +09:00
Taiki Endo
2d4372270d Support cargo-binstall fallback without cargo 2024-06-02 01:13:32 +09:00
Taiki Endo
e5240ce0c5 Release 2.33.36 2024-06-02 00:14:03 +09:00
Taiki Endo
cd2b50cd20 Update cargo-llvm-cov@latest to 0.6.10 2024-06-02 00:12:05 +09:00
Taiki Endo
08b0c77d33 Update cspell dictionary 2024-05-31 00:23:30 +09:00
Taiki Endo
51b8ba088c Release 2.33.35 2024-05-29 03:20:16 +09:00
Taiki Endo
c46ebac92e Ignore more lints at workspace level 2024-05-29 03:15:59 +09:00
Taiki Endo
6058afcbf2 Update syft@latest to 1.5.0 2024-05-29 03:11:44 +09:00
Taiki Endo
60784cb1f4 Release 2.33.34 2024-05-27 08:51:32 +09:00
Taiki Endo
ccdec58fd9 Update dprint@latest to 0.46.1 2024-05-27 06:11:24 +09:00
11 changed files with 105 additions and 61 deletions

View File

@@ -44,7 +44,7 @@
"languageSettings": [
{
"languageId": ["*"],
"dictionaries": ["rust"]
"dictionaries": ["bash", "rust"]
}
],
"ignorePaths": []

View File

@@ -22,7 +22,6 @@ pwsh
quickinstall
rdme
sccache
shfmt
syft
udeps
wasmtime

View File

@@ -66,10 +66,10 @@ jobs:
tool: ${{ steps.tool-list.outputs.tool }}
# https://docs.github.com/en/actions/using-workflows/workflow-syntax-for-github-actions#jobsjob_idstepsshell
- name: Test bash
run: just --version; shfmt --version; protoc --version
run: just --version && shfmt --version && protoc --version
shell: bash
- name: Test sh
run: just --version; shfmt --version; protoc --version
run: just --version && shfmt --version && protoc --version
shell: sh
if: startsWith(matrix.os, 'ubuntu') || startsWith(matrix.os, 'macos')
- name: Test pwsh
@@ -118,29 +118,8 @@ jobs:
timeout-minutes: 60
container: ${{ matrix.container }}
steps:
- name: Install requirements (ubuntu/debian)
run: |
set -eEuxo pipefail
apt-get -o Acquire::Retries=10 -qq update
apt-get -o Acquire::Retries=10 -o Dpkg::Use-Pty=0 install -y --no-install-recommends cargo
if: startsWith(matrix.container, 'ubuntu') || startsWith(matrix.container, 'debian')
- name: Install requirements (fedora/almalinux/centos)
run: |
set -eEuxo pipefail
curl --proto '=https' --tlsv1.2 -fsSL --retry 10 https://sh.rustup.rs | sh -s -- -y --profile minimal --default-toolchain stable --no-modify-path
echo "$HOME/.cargo/bin" >>"${GITHUB_PATH}"
if: startsWith(matrix.container, 'fedora') || startsWith(matrix.container, 'almalinux') || startsWith(matrix.container, 'centos')
- name: Install requirements (opensuse)
run: |
set -eEuxo pipefail
zypper install -y rustup
rustup toolchain add stable --profile minimal
if: startsWith(matrix.container, 'opensuse')
- name: Install requirements (archlinux)
run: pacman -Sy --noconfirm rust
if: startsWith(matrix.container, 'archlinux')
- name: Install requirements (alpine)
run: apk --no-cache add bash cargo
run: apk --no-cache add bash
shell: sh
if: startsWith(matrix.container, 'alpine')
- uses: taiki-e/checkout-action@v1
@@ -153,19 +132,6 @@ jobs:
with:
tool: ${{ steps.tool-list.outputs.tool }}
test-no-cargo:
runs-on: ubuntu-latest
timeout-minutes: 60
container: ubuntu
steps:
- uses: taiki-e/checkout-action@v1
- name: Generate tool list
id: tool-list
run: tools/ci/tool-list.sh >>"${GITHUB_OUTPUT}"
- uses: ./
with:
tool: ${{ steps.tool-list.outputs.tool }}
manifest:
runs-on: ubuntu-latest
timeout-minutes: 60

View File

@@ -10,6 +10,22 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased]
## [2.34.0] - 2024-06-01
- Support cargo-binstall fallback without cargo.
## [2.33.36] - 2024-06-01
- Update `cargo-llvm-cov@latest` to 0.6.10.
## [2.33.35] - 2024-05-28
- Update `syft@latest` to 1.5.0.
## [2.33.34] - 2024-05-26
- Update `dprint@latest` to 0.46.1.
## [2.33.33] - 2024-05-25
- Update `dprint@latest` to 0.46.0.
@@ -2215,7 +2231,11 @@ Note: This release is considered a breaking change because installing on version
Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.33.33...HEAD
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.34.0...HEAD
[2.34.0]: https://github.com/taiki-e/install-action/compare/v2.33.36...v2.34.0
[2.33.36]: https://github.com/taiki-e/install-action/compare/v2.33.35...v2.33.36
[2.33.35]: https://github.com/taiki-e/install-action/compare/v2.33.34...v2.33.35
[2.33.34]: https://github.com/taiki-e/install-action/compare/v2.33.33...v2.33.34
[2.33.33]: https://github.com/taiki-e/install-action/compare/v2.33.32...v2.33.33
[2.33.32]: https://github.com/taiki-e/install-action/compare/v2.33.31...v2.33.32
[2.33.31]: https://github.com/taiki-e/install-action/compare/v2.33.30...v2.33.31

View File

@@ -10,6 +10,8 @@ improper_ctypes_definitions = "warn"
non_ascii_idents = "warn"
rust_2018_idioms = "warn"
single_use_lifetimes = "warn"
unexpected_cfgs = { level = "warn", check-cfg = [
] }
unreachable_pub = "warn"
unsafe_op_in_unsafe_fn = "warn"
[workspace.lints.clippy]
@@ -27,12 +29,13 @@ borrow_as_ptr = { level = "allow", priority = 1 } # https://github.com/rust-lang
declare_interior_mutable_const = { level = "allow", priority = 1 } # https://github.com/rust-lang/rust-clippy/issues/7665
doc_markdown = { level = "allow", priority = 1 }
float_cmp = { level = "allow", priority = 1 } # https://github.com/rust-lang/rust-clippy/issues/7725
lint_groups_priority = { level = "allow", priority = 1 } # clippy bug: https://github.com/rust-lang/rust-clippy/issues/12270
incompatible_msrv = { level = "allow", priority = 1 } # buggy: doesn't consider cfg, https://github.com/rust-lang/rust-clippy/issues/12280, https://github.com/rust-lang/rust-clippy/issues/12257#issuecomment-2093667187
lint_groups_priority = { level = "allow", priority = 1 } # https://github.com/rust-lang/rust-clippy/issues/12270
manual_assert = { level = "allow", priority = 1 }
manual_range_contains = { level = "allow", priority = 1 } # https://github.com/rust-lang/rust-clippy/issues/6455#issuecomment-1225966395
missing_errors_doc = { level = "allow", priority = 1 }
module_name_repetitions = { level = "allow", priority = 1 }
nonminimal_bool = { level = "allow", priority = 1 } # buggy https://github.com/rust-lang/rust-clippy/issues?q=is%3Aissue+is%3Aopen+nonminimal_bool
nonminimal_bool = { level = "allow", priority = 1 } # buggy: https://github.com/rust-lang/rust-clippy/issues?q=is%3Aissue+is%3Aopen+nonminimal_bool
similar_names = { level = "allow", priority = 1 }
single_match = { level = "allow", priority = 1 }
single_match_else = { level = "allow", priority = 1 }

View File

@@ -152,7 +152,6 @@ This action has been tested for GitHub-hosted runners (Ubuntu, macOS, Windows) a
To use this action in self-hosted runners or in containers, at least the following tools are required:
- bash
- cargo (if you use cargo-binstall fallback)
## Related Projects

View File

@@ -748,5 +748,11 @@ if [[ ${#unsupported_tools[@]} -gt 0 ]]; then
# By default, cargo-binstall enforce downloads over secure transports only.
# As a result, http will be disabled, and it will also set
# min tls version to be 1.2
cargo binstall --force --no-confirm --locked "${unsupported_tools[@]}"
cargo-binstall binstall --force --no-confirm --locked "${unsupported_tools[@]}"
if ! type -P cargo >/dev/null; then
_bin_dir=$(canonicalize_windows_path "${HOME}/.cargo/bin")
# TODO: avoid this when already added
info "adding '${_bin_dir}' to PATH"
echo "${_bin_dir}" >>"${GITHUB_PATH}"
fi
fi

View File

@@ -18,10 +18,27 @@
}
},
"latest": {
"version": "0.6.9"
"version": "0.6.10"
},
"0.6": {
"version": "0.6.9"
"version": "0.6.10"
},
"0.6.10": {
"x86_64_linux_musl": {
"checksum": "2350d7d6586c8b1ac828ad5578225fafb6a43fa9c35fe835c28a5ed63499df60"
},
"x86_64_macos": {
"checksum": "6355b4536798ba0cea459729cc531f7bbf252d51c86b02683c0b4a4033d8cb96"
},
"x86_64_windows": {
"checksum": "3090e71ba2c0e16e593d338f4ed696f3829544f53dea63bdd966398f4379259c"
},
"aarch64_linux_musl": {
"checksum": "7921682e7bd925b69bbecaf9bf42f99a6404ef60049b1a9f87fe97dc697265f4"
},
"aarch64_macos": {
"checksum": "46fe1d529755ca1a39dc7995374eef4482a20f0f632dd113430641c06fc4b466"
}
},
"0.6.9": {
"x86_64_linux_musl": {

21
manifests/dprint.json generated
View File

@@ -24,10 +24,27 @@
}
},
"latest": {
"version": "0.46.0"
"version": "0.46.1"
},
"0.46": {
"version": "0.46.0"
"version": "0.46.1"
},
"0.46.1": {
"x86_64_linux_musl": {
"checksum": "4a7d6fa6b920ab150f580965556086cdd7992e07078e627ab9a9d1c3bd30ba85"
},
"x86_64_macos": {
"checksum": "cdea84bce1d84c26e8eced2265d246b79a849ec2e7d1377d98dd7bdb21c7ce83"
},
"x86_64_windows": {
"checksum": "74e5ab38c744d5903862c2b5174d0fef9759b5506da775e1fb93b6a68c63101d"
},
"aarch64_linux_musl": {
"checksum": "e2b6d87167d21f1f01571790e79526ef9caff3b8b75f5cac348c4f06f60a8c16"
},
"aarch64_macos": {
"checksum": "f3ff4faef83d14c3b4ae262e79a40d4e0fc3fa1903d0b6e9b82f0b25b00e9499"
}
},
"0.46.0": {
"x86_64_linux_musl": {

24
manifests/syft.json generated
View File

@@ -23,10 +23,30 @@
}
},
"latest": {
"version": "1.4.1"
"version": "1.5.0"
},
"1": {
"version": "1.4.1"
"version": "1.5.0"
},
"1.5": {
"version": "1.5.0"
},
"1.5.0": {
"x86_64_linux_musl": {
"checksum": "3d10023d46dfaf0fe75288df207b478b43597f7d2fff553f58430817166bd478"
},
"x86_64_macos": {
"checksum": "605322e3e7043a4f2f3d6e37f75a71389d38f6f290bff2e54bb2aaebbbf4829b"
},
"x86_64_windows": {
"checksum": "5079c6a88e130f8677d0701cb2689f9eae2088022ecf5fa2b9f341b96d9983d2"
},
"aarch64_linux_musl": {
"checksum": "ee2b1289a1e4b0de9409c3a78867949ca42788a5f50072b8a6e6e04e6a269f9c"
},
"aarch64_macos": {
"checksum": "fe02d072e7ec9a8eb4ac866ba973396a8beae79829ee870acaadd4d862e5e65a"
}
},
"1.4": {
"version": "1.4.1"

View File

@@ -128,17 +128,14 @@ case "${host_os}" in
fi
;;
esac
# cargo-binstall requires cargo
if type -P cargo &>/dev/null; then
# cargo-watch/watchexec-cli is supported by cargo-binstall (through quickinstall)
case "${version}" in
latest) tools+=(cargo-watch watchexec-cli nextest) ;;
major.minor.patch) tools+=(cargo-watch@8.1.1 watchexec-cli@1.20.5 nextest@0.9.57) ;;
major.minor) tools+=(cargo-watch@8.1 watchexec-cli@1.20 nextest@0.9) ;;
major) tools+=(cargo-watch@8 watchexec-cli@1) ;;
*) exit 1 ;;
esac
fi
# cargo-watch/watchexec-cli is supported by cargo-binstall (through quickinstall)
case "${version}" in
latest) tools+=(cargo-watch watchexec-cli nextest) ;;
major.minor.patch) tools+=(cargo-watch@8.1.1 watchexec-cli@1.20.5 nextest@0.9.57) ;;
major.minor) tools+=(cargo-watch@8.1 watchexec-cli@1.20 nextest@0.9) ;;
major) tools+=(cargo-watch@8 watchexec-cli@1) ;;
*) exit 1 ;;
esac
# sort and dedup
IFS=$'\n'